Bug 429847 - deluge gets paths in dialog boxes flagrantly wrong
deluge gets paths in dialog boxes flagrantly wrong
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: deluge (Show other bugs)
7
All Linux
low Severity high
: ---
: ---
Assigned To: Peter Gordon
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-23 08:27 EST by Ignacio Vazquez-Abrams
Modified: 2008-05-14 22:20 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.5.8.6-1.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-14 19:30:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2008-01-23 08:27:23 EST
deluge-(none):0.5.8.1-1.fc7.i386

In dialog boxes such as the Preferences dialog box deluge chops off the last
element of the path before populating the path chooser controls (e.g.,
/home/ignacio/Torrents shows up as "ignacio",
/home/ignacio/.config/deluge/torrentfiles shows up as "deluge", etc.). This
causes all sorts of chaos, and possibly even a bit of destruction, when the
preferences are saved with these incorrect paths.

Also, when choosing a path for saving the torrent data, the file chooser box
starts in the default path given in the Preferences dialog box, but then you
must navigate back one level and then click Open in order for the directory to
be chosen.
Comment 1 Peter Gordon 2008-02-28 21:23:47 EST
Ignacio, are you still experiencing this issue with 0.5.8.3-1? If so, is it only
specific dialogs or all file-choosers?

Thanks.
Comment 2 Ignacio Vazquez-Abrams 2008-02-28 22:26:23 EST
The first issue still exists on the Downloads tab of the Preferences. The second
is gone.
Comment 3 Bug Zapper 2008-05-14 11:16:41 EDT
This message is a reminder that Fedora 7 is nearing the end of life. Approximately 30 (thirty) days from now Fedora will stop maintaining and issuing updates for Fedora 7. It is Fedora's policy to close all bug reports from releases that are no longer maintained. At that time this bug will be closed as WONTFIX if it remains open with a Fedora 'version' of '7'.

Package Maintainer: If you wish for this bug to remain open because you plan to fix it in a currently maintained version, simply change the 'version' to a later Fedora version prior to Fedora 7's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that we may not be able to fix it before Fedora 7 is end of life. If you would still like to see this bug fixed and are able to reproduce it against a later version of Fedora please change the 'version' of this bug. If you are unable to change the version, please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's lifetime, sometimes those efforts are overtaken by events. Often a more recent Fedora release includes newer upstream software that fixes bugs or makes them obsolete. If possible, it is recommended that you try the newest available Fedora distribution to see if your bug still exists.

Please read the Release Notes for the newest Fedora distribution to make sure it will meet your needs:
http://docs.fedoraproject.org/release-notes/

The process we are following is described here: http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Ignacio Vazquez-Abrams 2008-05-14 19:30:53 EDT
This problem appears to be resolved with deluge-(none):0.5.8.6-1.fc8.i386.
Comment 5 Peter Gordon 2008-05-14 22:20:44 EDT
Glad to hear it, Ignacio. Marking as resolved. =)

Note You need to log in before you can comment on or make changes to this bug.